import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { ResetPasswordRequestFilterSensitiveLog, } from "../models/models_0";
import { de_ResetPasswordCommand, se_ResetPasswordCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class ResetPasswordCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("WorkMailService", "ResetPassword", {})
    .n("WorkMailClient", "ResetPasswordCommand")
    .f(ResetPasswordRequestFilterSensitiveLog, void 0)
    .ser(se_ResetPasswordCommand)
    .de(de_ResetPasswordCommand)
    .build() {
}
