import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { WorkMailClientResolvedConfig } from "../WorkMailClient";
export interface WorkMailHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface WorkMailHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    WorkMailClientResolvedConfig,
    HandlerExecutionContext,
    WorkMailHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultWorkMailHttpAuthSchemeParametersProvider: (
  config: WorkMailClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<WorkMailHttpAuthSchemeParameters>;
export interface WorkMailHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<WorkMailHttpAuthSchemeParameters> {}
export declare const defaultWorkMailHttpAuthSchemeProvider: WorkMailHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: WorkMailHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: WorkMailHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
